<?
require('startinclude.php');




$camara=parametro('camara',0);
$num=parametro('num',0);


$temp=array();
$camaras=array();



//	$id_camara=apc_fetch('id_camara');
//	$id_sensor=apc_fetch('id_sensor'.$camara);
	leer_camaras($camaras);


	// leemos la temperatura actual para saber el estado actual.
	
		
	$rotacion_direccion=$camaras[$camara]["rotacion_direccion"];
	$value=$camaras[$camara]["rotacion_valor"]-1; // = 0 1 2 3
	

	
	
	$id_camara=$camaras[$camara]["id_camara"];
		
	$direccion=2049; // XJR40D
	
	function valoron($value) {
	$tmp=pow(2,$value)+(pow(2,8+$value));
	return $tmp;
	}
	function valoroff($value) {
		$tmp=pow(2,$value);
		return $tmp;
	}

$delay=1;
switch($num) {

case 0:
	$final_valor1=valoroff($value);
	$final_valor2=valoroff($value+1);
	$delay=1;
	break;
case 1:
	$final_valor1=valoroff($value+1);
	$final_valor2=valoron($value);
	$delay=1;
	break;
case 2:
	$final_valor1=valoroff($value);
	$final_valor2=valoron($value+1);
	$delay=1;
	break;
	
};	

	// apagamos el ventilador 
	$sql="insert into MOTORESCRITURAS(EscrituraDirModulo, EscrituraDirMemoria, EscrituraValor, EscrituraError) ";
	$sql.="values ( $rotacion_direccion , $direccion , $final_valor1,1);	"; // = 1 es intento no error.
	ejecutarsql($sql,&$filas,&$resultado);	
	// y encendemos (o apagamos el otro
	
	$sql="insert into MOTORESCRITURAS(EscrituraDirModulo, EscrituraDirMemoria, EscrituraValor, EscrituraError) ";
	$sql.="values ( $rotacion_direccion , $direccion , $final_valor2,$delay);	"; // = $delay es delay de $delay vueltas.
	ejecutarsql($sql,&$filas,&$resultado);	

	
	jsinicio();
	echo "alert(\"Dato Guardado $sql\");";
	echo "loader.stop();";


	
	
	jsfin();
?>